"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Config = _interopRequireDefault(require("./Config"));

var _componentTypes = require("../core/component-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Avatar = ({
  image = _Config.default.avatarImageUrl,
  size = _Config.default.avatarImageSize,
  style
}) => {
  const borderRadius = size / 2;
  return /*#__PURE__*/React.createElement(_reactNative.Image, {
    style: [{
      width: size,
      height: size,
      borderRadius
    }, style],
    source: typeof image === "string" ? {
      uri: image
    } : image,
    resizeMode: "cover"
  });
};

var _default = Avatar;
exports.default = _default;
const SEED_DATA = {
  name: "Avatar",
  tag: "Avatar",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  props: {
    size: {
      group: _componentTypes.GROUPS.basic,
      label: "Size",
      description: "Size of avatar / width, height",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.number,
      min: 0,
      max: 300,
      precision: 0,
      step: 1,
      defaultValue: 80
    },
    image: {
      group: _componentTypes.GROUPS.data,
      label: "Image",
      description: "Name of the image",
      editable: true,
      required: true,
      formType: _componentTypes.FORM_TYPES.remoteImage,
      defaultValue: "brightness-5"
    }
  },
  layout: {
    width: 80,
    height: 80
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=Avatar.js.map