"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

var _Row = _interopRequireDefault(require("./Row"));

var _Checkbox = _interopRequireDefault(require("./Checkbox"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const RowBodyCheckbox = ({
  title,
  subtitle,
  style,
  status = "unchecked",
  onPress = () => {},
  color,
  theme: {
    colors,
    typography
  }
}) => {
  return /*#__PURE__*/React.createElement(_Row.default, {
    titleTypeStyle: typography.body1,
    titleColor: colors.medium,
    subtitleTypeStyle: typography.subtitle2,
    subtitleColor: colors.light,
    title: title,
    subtitle: subtitle,
    right: () => /*#__PURE__*/React.createElement(_Checkbox.default, {
      status: status,
      color: color,
      onPress: onPress
    }),
    style: style
  });
};

var _default = (0, _theming.withTheme)(RowBodyCheckbox);

exports.default = _default;
const SEED_DATA = [{
  name: "Row Single Line Body Checkbox",
  tag: "RowBodyCheckbox",
  description: "A row with left aligned body text and a right aligned checkbox",
  preview_image_url: "{CLOUDINARY_URL}/Row_SingleLine_BodyCheckbox.png",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    color: {
      label: "Checkbox color",
      description: "Custom color for Checkbox",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.color
    },
    fieldName: _objectSpread(_objectSpread({}, _componentTypes.FIELD_NAME), {}, {
      defaultValue: "checkboxValue",
      valuePropName: "status",
      handlerPropName: "onPress"
    })
  },
  layout: {}
}, {
  name: "Row Double Line Body Checkbox",
  tag: "RowBodyCheckbox",
  description: "A row with left aligned body text and subtitle text and a right aligned checkbox",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_DoubleLine_BodyCheckbox.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    subtitle: {
      label: "Subtitle",
      description: "Subtitle text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "San Diego",
      editable: true
    },
    color: {
      label: "Color",
      description: "Custom color for Checkbox",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.color
    },
    fieldName: _objectSpread(_objectSpread({}, _componentTypes.FIELD_NAME), {}, {
      defaultValue: "checkboxValue",
      valuePropName: "status",
      handlerPropName: "onPress"
    })
  },
  layout: {}
}];
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=RowBodyCheckbox.js.map