"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _componentTypes = require("../core/component-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

class _default extends _react.default.Component {
  render() {
    const _this$props = this.props,
          {
      children
    } = _this$props,
          props = _objectWithoutProperties(_this$props, ["children"]);

    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, props, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, children));
  }

}

exports.default = _default;
const SEED_DATA = {
  name: "Touchable",
  tag: "Touchable",
  description: "Provides a way to capture tapping gestures, and displays feedback when a gesture is recognized",
  category: _componentTypes.COMPONENT_TYPES.input,
  supports_list_render: false,
  layout: {},
  props: {
    onPress: {
      group: _componentTypes.GROUPS.basic,
      label: "Action",
      description: "Action to execute when touchable pressed",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.action,
      defaultValue: null
    },
    hitSlop: {
      group: _componentTypes.GROUPS.advanced,
      label: "Hit Slop",
      description: "Makes the Touchable easier to press by expanding the touchable area a specified number of points, without having to change the layout of the Touchable (e.g. by adding padding)",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.position,
      defaultValue: null
    }
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=Touchable.js.map