"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = void 0;

var _componentTypes = require("../core/component-types");

const SEED_DATA = {
  name: "SafeAreaView",
  tag: "SafeAreaView",
  description: "A basic View that handles safe area",
  category: _componentTypes.COMPONENT_TYPES.container,
  props: {
    edges: {
      group: _componentTypes.GROUPS.basic,
      name: "edges",
      label: "edges",
      description: "Provides edges to be used by safe area view",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.STRING,
      options: ["right", "bottom", "left", "top"],
      defaultValue: ["right", "bottom", "left", "top"]
    },
    mode: {
      group: _componentTypes.GROUPS.basic,
      name: "mode",
      label: "mode",
      description: "Mode used by safe area view",
      editable: true,
      required: false,
      options: ["padding", "margin"],
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: "padding"
    }
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=SafeAreaView.js.map