function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from "react";
import { Image, Text, View, StyleSheet } from "react-native";
import { COMPONENT_TYPES, FORM_TYPES, GROUPS, PROP_TYPES } from "../core/component-types";
let VectorIcons;

try {
  // Optionally require vector-icons
  VectorIcons = require("@expo/vector-icons");
} catch (e) {
  if ( // @ts-ignore
  global.__expo && // @ts-ignore
  global.__expo.Icon) {
    // Snack doesn't properly bundle vector icons from subpath
    // Use icons from the __expo global if available
    // @ts-ignore
    VectorIcons = global.__expo.Icon;
  } else {
    let isErrorLogged = false; // Fallback component for icons
    // @ts-ignore

    VectorIcons = (_ref) => {
      let {
        name,
        color,
        size,
        style
      } = _ref,
          rest = _objectWithoutProperties(_ref, ["name", "color", "size", "style"]);

      if (!isErrorLogged) {
        if (!/(Cannot find module|Module not found|Cannot resolve module)/.test(e.message)) {
          console.error(e);
        }

        console.warn("Tried to use the icon '".concat(name, "' in a component from '@draftbit/ui', but '@expo/vector-icons' could not be loaded."), "To remove this warning, try installing '@expo/vector-icons'");
        isErrorLogged = true;
      }

      return /*#__PURE__*/React.createElement(Text, _extends({}, rest, {
        style: [{
          color,
          fontSize: size
        }, style] // @ts-ignore
        ,
        pointerEvents: "none"
      }), "\u25A1");
    };
  }
}

const Icon = (_ref2) => {
  let {
    name,
    color,
    size,
    style
  } = _ref2,
      rest = _objectWithoutProperties(_ref2, ["name", "color", "size", "style"]);

  if (!name) return null;
  let iconSet = "MaterialIcons";

  if (typeof name === "string" && name.indexOf("/") !== -1) {
    [iconSet, name] = name.split("/");
  }

  if (typeof name === "string") {
    const IconSet = VectorIcons[iconSet];
    return /*#__PURE__*/React.createElement(IconSet, _extends({}, rest, {
      name: name,
      color: color,
      size: size,
      style: style
    }));
  } else if (typeof name === "object" && name !== null && Object.prototype.hasOwnProperty.call(name, "uri") && typeof name.uri === "string" || typeof name === "number") {
    return /*#__PURE__*/React.createElement(Image, _extends({}, rest, {
      source: name,
      style: [{
        width: size,
        height: size,
        tintColor: color
      }, style]
    }));
  }

  return /*#__PURE__*/React.createElement(View, _extends({}, rest, {
    style: [{
      width: size,
      height: size
    }, styles.container, style]
  }), name);
};

export default Icon;
const styles = StyleSheet.create({
  container: {
    alignItems: "center",
    justifyContent: "center",
    overflow: "hidden"
  }
});
export const SEED_DATA = {
  name: "Icon",
  tag: "Icon",
  description: "An icon",
  category: COMPONENT_TYPES.basic,
  preview_image_url: "{CLOUDINARY_URL}/Icon.png",
  supports_list_render: false,
  props: {
    name: {
      group: GROUPS.basic,
      label: "Name",
      description: "Name of the icon",
      formType: FORM_TYPES.icon,
      propType: PROP_TYPES.ASSET,
      defaultValue: null,
      editable: true,
      required: true
    },
    color: {
      group: GROUPS.basic,
      label: "Color",
      description: "Color of the icon",
      formType: FORM_TYPES.color,
      propType: PROP_TYPES.THEME,
      defaultValue: "strong",
      editable: true,
      required: true
    },
    size: {
      group: GROUPS.basic,
      label: "Size",
      description: "Width and height of the icon",
      formType: FORM_TYPES.number,
      propType: PROP_TYPES.NUMBER,
      defaultValue: 24,
      min: 1,
      max: 200,
      step: 1,
      precision: 0,
      editable: true,
      required: true
    }
  },
  layout: {}
};
//# sourceMappingURL=Icon.js.map