function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from "react";
import { View, StyleSheet, Picker as NativePicker } from "react-native";
import { withTheme } from "../../core/theming";
import TextField from "../TextField";
import Touchable from "../Touchable";

const Picker = (_ref) => {
  let {
    style,
    options,
    placeholder,
    selectedValue,
    disabled = false,
    onValueChange: onValueChangeOverride = () => {}
  } = _ref,
      props = _objectWithoutProperties(_ref, ["style", "options", "placeholder", "selectedValue", "disabled", "onValueChange"]);

  const textField = React.useRef(undefined);

  const _onValueChange = (itemValue, itemIndex) => {
    toggleFocus();
    onValueChangeOverride(itemValue, itemIndex);
  };

  const toggleFocus = () => {
    if (!disabled) {
      // @ts-ignore
      textField.current.toggleFocus(); // cannot determine if method exists due to component being wrapped in a withTheme()
    }
  };

  return /*#__PURE__*/React.createElement(Touchable, {
    disabled: disabled,
    onPress: toggleFocus,
    style: [styles.container, style]
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(NativePicker, {
    enabled: !disabled,
    selectedValue: selectedValue,
    onValueChange: (value, index) => _onValueChange(value.toString(), index),
    style: {
      flex: 1,
      opacity: 0,
      position: "absolute",
      top: 0,
      left: 0,
      right: 0,
      bottom: 0
    }
  }, options.map(o => /*#__PURE__*/React.createElement(NativePicker.Item, {
    label: o.label,
    value: o.value,
    key: o.value
  }))), /*#__PURE__*/React.createElement(View, {
    pointerEvents: "none"
  }, /*#__PURE__*/React.createElement(TextField, _extends({}, props, {
    value: selectedValue,
    placeholder: placeholder // @ts-ignore
    ,
    ref: textField // cannot determine if ref is of correct type due to component being wrapped in a withTheme()
    ,
    disabled: disabled
  })))));
};

const styles = StyleSheet.create({
  container: {
    alignSelf: "stretch"
  }
});
export default withTheme(Picker);
//# sourceMappingURL=PickerComponent.web.js.map