import React, { useState } from "react";
import { View } from "react-native";
import Text from "./Text";
import RadioButtonFieldRow from "./RadioButtonFieldRow";
import Divider from "./Divider";
import { withTheme } from "../core/theming";

const RadioButtonFieldGroup = ({
  options,
  label,
  onSelect = () => {},
  value,
  radioButtonColor,
  labelColor,
  backgroundColor,
  style,
  labelStyle,
  itemStyle,
  itemLabelStyle,
  itemBackgroundColor,
  theme
}) => {
  const [selected, setSelected] = useState("");
  return /*#__PURE__*/React.createElement(View, {
    style: [{
      backgroundColor: backgroundColor ? theme.colors[backgroundColor] : undefined
    }, style]
  }, /*#__PURE__*/React.createElement(Text, {
    style: [{
      fontSize: theme.typography.headline4.fontSize,
      color: theme.typography.headline4.color
    }, labelStyle]
  }, label), options.map(item => {
    return /*#__PURE__*/React.createElement(View, {
      key: item.key
    }, /*#__PURE__*/React.createElement(RadioButtonFieldRow, {
      style: [itemStyle],
      labelStyle: [itemLabelStyle],
      selected: value ? value === item.value : selected === item.value,
      label: item.value,
      radioButtonColor: radioButtonColor,
      labelColor: labelColor,
      backgroundColor: itemBackgroundColor,
      onPress: () => {
        if (selected !== item.value) {
          setSelected(item.value);
          onSelect(item.value);
        }
      }
    }), /*#__PURE__*/React.createElement(Divider, null));
  }));
};

export default withTheme(RadioButtonFieldGroup);
//# sourceMappingURL=RadioButtonFieldGroup.js.map