import React from "react";
import { StyleProp, ViewStyle } from "react-native";
import theme from "../styles/DefaultTheme";
import { ResizeModeType } from "./ResizeMode";
interface Props {
    images: string[] | Blob[];
    aspectRatio?: number;
    swiperPalette?: "surface" | "non-sruface";
    resizeMode?: ResizeModeType;
    dotColor?: string;
    theme: typeof theme;
    style?: StyleProp<ViewStyle>;
}
declare const _default: (React.ComponentClass<Pick<Props, "style" | "aspectRatio" | "resizeMode" | "images" | "swiperPalette" | "dotColor"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}, any> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>) | (React.FunctionComponent<Pick<Props, "style" | "aspectRatio" | "resizeMode" | "images" | "swiperPalette" | "dotColor"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>);
export default _default;
export declare const SEED_DATA: {
    name: string;
    tag: string;
    category: string;
    description: string;
    preview_image_url: string;
    supports_list_render: boolean;
    layout: {
        height: number;
    };
    props: {
        images: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        resizeMode: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            defaultValue: string;
            formType: string;
            propType: string;
            options: string[];
        };
        dotColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            defaultValue: string;
            formType: string;
            propType: string;
        };
    };
}[];
